using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using GxPress.Entity;
using GxPress.Request.AppVersion;
using Datory;

namespace GxPress.Repository.Interface
{
    public interface IAppVersionRepository : IRepository
    {
        Task<AppVersion> GetAsync(int id);

        Task<AppVersion> GetAppVersionAsync(AppVersionSearchRequest request);
        Task<int> InsertAsync(AppVersion appVersion);

        Task<bool> UpdateAsync(AppVersion appVersion);

        Task<IEnumerable<AppVersion>> GetAppVersionAsync();

        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        Task<bool> DeleteAsync(int id);
        /// <summary>
        /// 获取最新的移动端信息
        /// </summary>
        /// <returns></returns>
        Task<IEnumerable<AppVersion>> GetAppVersionsAsync();
    }
}
